import { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
	'https://raw.githubusercontent.com/XiaoleiGuo/data-journalism/master/for_vizhub.csv?token=AKL3EWOVHF7Y7NR4GCQ4A6K7IHPEO';
const row = d => {
  d.coords = d['newColumn'].split(',').map(d => +d).reverse();
  d['casualty'] = + d['casualty'];
  d['date'] = new Date(d['date']);
  return d;
};

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    csv(csvUrl, row).then(setData);
  }, []);

  return data;
};
